Subject: bug#19468: 25.0.50; UI inconveniences with M-.

From: Eli Zaretskii <[email-masked]>
Date: Sat, 02 May 2015 21:45:29 +0300

> Cc: [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Sat, 2 May 2015 20:41:59 +0300
> 
> On 05/02/2015 05:13 PM, Eli Zaretskii wrote:
> 
> > It can.  But if the subdirectories of the directory it asks about will
> > also be included, that's good enough.  Perhaps the prompt should say
> 
> "If". Continuing that line of thought, wouldn't it be possible that the 
> ID file contains only files from outside of its subtree in its index? 
> Then the prompt will be entirely wrong.

We could always ask about the ID file itself, you know...

> >    Search in and below directory: ...
> 
> When I say (or read) "search in directory", I understand it to mean the 
> subdirectories, too.

Well, it wasn't entirely clear, perhaps because I know too much about
ID Utils.

> > Maybe the interface could be expanded to provide more in case of an
> > error.
> 
> But why would that be an error? "Nothing found" is an entirely 
> legitimate result.

That's not what happened here: the invocation of 'lid' yields a
non-empty buffer, but then the result is an empty list.  That's a
clear sign of some problem somewhere.

> Since we've encountered a bug in the code, maybe some extra assertions 
> in `semantic-symref-parse-tool-output-one-line' (or in its caller?) 
> would take care of that.

Could be.  In general, if the buffer is non-empty, there should be
results.